--- old/usr/src/tools/scripts/validate_pkg.py	2014-09-22 23:59:10.922430051 +0400
+++ new/usr/src/tools/scripts/validate_pkg.py	2014-09-22 23:59:11.010468200 +0400
@@ -60,6 +60,7 @@
         ("path", "path=")
     ],
     "link": [
+        ("mediator", "mediator="),
         ("path", "path="),
         ("target", "target=")
     ],
@@ -196,9 +197,10 @@
 
         #
         # For symlinks, all that's left is the link target.
+        # For mediated symlinks targets can differ.
         #
         if typelhs == "link":
-            return lhs.target != rhs.target
+            return (lhs.mediator is None) and (lhs.target != rhs.target)
 
         #
         # For a directory, it's important that both be directories,
@@ -306,6 +308,7 @@
         elif action.name == "link":
             target = action.attrs["target"]
             self.target = os.path.normpath(target)
+            self.mediator = action.attrs.get("mediator")
         elif action.name == "dir":
             self.owner = action.attrs["owner"]
             self.group = action.attrs["group"]
@@ -366,6 +369,7 @@
             self.isdir = True
         elif stat.S_ISLNK(mode):
             self.target = os.path.normpath(os.readlink(path))
+            self.mediator = None
         else:
             raise UnsupportedFileFormatError(path, mode)
 
